@echo off

REM CRIMSON
REM Copyright (c) 2007, Stephen Fisher, Susan Davidson, and Junhyong Kim, 
REM University of Pennsylvania.  All Rights Reserved.
REM
REM You may not use this file except in compliance with the License
REM located in the top directory of this distribution.  You may obtain
REM a copy of the License at
REM
REM     http://kim.bio.upenn.edu/software/LICENSE
REM
REM Unless required by applicable law or agreed to in writing, this
REM software is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
REM CONDITIONS OF ANY KIND, either express or implied.  See the License
REM for the specific language governing permissions and limitations
REM under the License.

REM if "-batch" then will disable windowing routines and 3D viewer
REM if "-nox" then this will disable windowing routines (ie no X11 or 3D viewer)
REM if "-walrus" then this will include hooks for the Walrus 3D Viewer

REM
REM setup the environment.
REM

set CLASSPATH=crimson.jar;jython.jar;ojdbc14.jar;mysql-connector-java-5.0.6-bin.jar
set ARGS=-dos

REM
REM run the application passing the command line args to the application.
REM

REM set the max heap size to 1024 MB, the default is 64 MB: "-Xmx1024m"
REM set the stack size to 2048 k, the default is 64 MB:  "-Xss2048k"
REM '-dos' is a flag to make sure cmd prompt is initiated when 'exec()' is called

IF "%1"=="" GOTO RUN
IF "%1"=="-?" GOTO HELP
IF "%1"=="-batch" GOTO BATCH
IF "%1"=="-nox" GOTO NOX

set ARGS=%ARGS% %1
GOTO RUN

:HELP
ECHO "Usage: crimson.bat [-? | -batch <filename> | -nox [filename] | filename ]"
GOTO END

:BATCH
IF "%2"=="" GOTO BATCH_ERROR
IF "%2"=="-nox" GOTO ARG_ERROR
IF NOT "%3"=="" GOTO ARG_ERROR
set ARGS=%ARGS% -nox -batch %2
GOTO RUN

:BATCH_ERROR
ECHO "%0 Error: Expecting a file name of a crimson python script"
ECHO "Usage: crimson.bat [-? | -batch <filename> | -nox [filename] | filename ]"
GOTO END

:NOX
IF "%2"=="-batch" GOTO ARG_ERROR
IF NOT "%3"=="" GOTO ARG_ERROR
set ARGS=%ARGS% -nox %2
GOTO RUN

:ARG_ERROR
ECHO "%0 Error: Incorrect arguments"
ECHO "Usage: crimson.bat [-? | -batch <filename> | -nox [filename] | filename ]"
GOTO END

:RUN
rem java -Xmx1024m -cp %CLASSPATH% edu.upenn.crimson.CrimsonMain %ARGS%
echo %ARGS%

REM for java debugger
rem jdb -classpath %CLASSPATH% edu.upenn.crimson.CrimsonMain
REM -Dcom.sun.management.jmxremote allows for the use of jconsole to monitor the process
rem java -Dcom.sun.management.jmxremote -Xmx1024m -cp %CLASSPATH% edu.upenn.crimson.CrimsonMain -dos %1 %2 %3 %4 %5 %6 %7 %8 %9

:END
