#!/bin/bash

# CRIMSON
# Copyright (c) 2006, Stephen Fisher, Susan Davidson, and Junhyong Kim, 
# University of Pennsylvania.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 USA.
#
# run the application
#

# if "-batch" then will disable windowing routines and 3D viewer

# if "-nox" then this will disable windowing routines (ie no X11), including 3D viewer

# if "-?" then this will print the usage

# set the max heap size to 1024 MB, the default is 64 MB: "-Xmx1024m"
#
if [ $1 ]; then
    if [ $1 = "-batch" ]; then
	# batch, nox
	if [ $2 ]; then
	    java -Xmx1024m -cp crimson.jar:jython.jar:mysql-connector-java-5.0.6-bin.jar:ojdbc14.jar edu.upenn.crimson.CrimsonMain -nox -batch $2
	else
	    echo "$0 Error: Expecting a file name of a crimson python script"
	    echo "Usage: crimson.sh [-? | -batch <filename> | -nox [<filename>] | <filename> ]"
	    exit 1
	fi
    elif [ $1 = "-nox" ]; then
	# nox
	java -Xmx1024m -cp crimson.jar:jython.jar:mysql-connector-java-5.0.6-bin.jar:ojdbc14.jar edu.upenn.crimson.CrimsonMain -nox $2
    elif [ $1 = "-?" ]; then
	echo "Usage: crimson.sh [-? | -batch <filename> | -nox [<filename>] | <filename> ]"
	exit 1
    else
	java -Xmx1024m -cp crimson.jar:jython.jar:walrus.jar:mysql-connector-java-5.0.6-bin.jar:ojdbc14.jar:mp.jar:antlrall-mod.jar:libsea.jar edu.upenn.crimson.CrimsonMain $1
    fi
else
    java -Xmx1024m -cp crimson.jar:jython.jar:walrus.jar:mysql-connector-java-5.0.6-bin.jar:ojdbc14.jar:mp.jar:antlrall-mod.jar:libsea.jar edu.upenn.crimson.CrimsonMain
fi

