# Copyright (c) 2006, Stephen Fisher, Susan Davidson, and Junhyong Kim, 
# University of Pennsylvania.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 USA.
#
# exBatchScript-4.py - sample batch script

# This script will generate NEXUS, phylip, and newick files for all 40
# of the 10 leaf queries stored in the SDSC database. 

# load standard definitions
from startup import *

# load benchmarking specific definitions
from benchDefs import *

# Open a read-only connection to the SDSC Oracle server, via web proxy
connectCIPRES()

# Using partition 18, download NEXUS, phylip, and newick files for all
# 40 of the 10 leaf queries. Files will be placed in relevant
# directories within the subdirector 'ex-4/L10.R40'.
rGetInput("ex-4", 10, 40, -1, -1, 18, 19)
